Package org.optaplanner.core.impl.heuristic.selector.move.composite

## Class UnionMoveSelector.RandomUnionMoveIterator

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator<Move<Solution_>>
  - - org.optaplanner.core.impl.heuristic.selector.move.composite.UnionMoveSelector.RandomUnionMoveIterator

- All Implemented Interfaces:
    `Iterator<Move<Solution_>>`
  Enclosing class:
    UnionMoveSelector<Solution_>

      public class UnionMoveSelector.RandomUnionMoveIterator
      extends SelectionIterator<Move<Solution_>>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected NavigableMap<Double,​Iterator<Move<Solution_>>>` | `moveIteratorMap` |
    `protected Map<Iterator<Move<Solution_>>,​org.optaplanner.core.impl.heuristic.selector.move.composite.UnionMoveSelector.ProbabilityItem<Solution_>>` | `probabilityItemMap` |
    `protected double` | `probabilityWeightTotal` |
    `protected boolean` | `stale` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RandomUnionMoveIterator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `Move<Solution_>` | `next()` |

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### probabilityItemMap

          protected final Map<Iterator<Move<Solution_>>,​org.optaplanner.core.impl.heuristic.selector.move.composite.UnionMoveSelector.ProbabilityItem<Solution_>> probabilityItemMap

    - #### moveIteratorMap

          protected final NavigableMap<Double,​Iterator<Move<Solution_>>> moveIteratorMap

    - #### probabilityWeightTotal

          protected double probabilityWeightTotal

    - #### stale

          protected boolean stale

  - ### Constructor Detail

    - #### RandomUnionMoveIterator

          public RandomUnionMoveIterator()

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

    - #### next

          public Move<Solution_> next()